spring:
  main:
    web-application-type: none
  kafka:
    bootstrap-servers:
      - ${spring.embedded.kafka.brokers}
    consumer:
      key-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      value-deserializer: org.apache.kafka.common.serialization.BytesDeserializer
      auto-offset-reset: earliest
      enable-auto-commit: false
      properties:
        isolation:
          level: read_committed
  jackson:
    serialization:
      FAIL_ON_SELF_REFERENCES: false
  mail:
    host: aspmx.l.google.com
marvel:
  restapi:
    host: http://localhost:8180
  notifications:
    frontend-url: http://localhost:8080

logging:
  level:
    kafka: INFO
    org:
      apache:
        kafka: INFO
      springframework: INFO
    com:
      zoox: DEBUG

databricks:
  orchestrator:
    url: https://c2d-orchestrator.zooxlabs.com/v1/schedule
    dryRun: true
---

spring:
  profiles: local-docker
  kafka:
    bootstrap-servers:
      - kafka:9092

marvel:
  restapi:
    host: http://restapi:8180
  notifications:
    frontend-url: http://frontend:8090
---

spring:
  profiles: local-dev
  kafka:
    bootstrap-servers:
      - b-1.marvel2-dev.z1ixip.c6.kafka.us-west-2.amazonaws.com:9092
      - b-2.marvel2-dev.z1ixip.c6.kafka.us-west-2.amazonaws.com:9092

marvel:
  notifications:
    frontend-url: http://localhost:8080

---

spring:
  profiles: marvel-dev
  kafka:
    bootstrap-servers:
      - b-1.marvel2-dev.z1ixip.c6.kafka.us-west-2.amazonaws.com:9092
      - b-2.marvel2-dev.z1ixip.c6.kafka.us-west-2.amazonaws.com:9092

marvel:
  restapi:
    host: https://restapi-dev-marvel2.zooxlabs.com
  notifications:
    frontend-url: https://dev-marvel2.zooxlabs.com
---

spring:
  profiles: marvel-test
  kafka:
    bootstrap-servers:
      - b-1.marvel2.215nzx.c6.kafka.us-west-2.amazonaws.com:9092
      - b-2.marvel2.215nzx.c6.kafka.us-west-2.amazonaws.com:9092
      - b-3.marvel2.215nzx.c6.kafka.us-west-2.amazonaws.com:9092

marvel:
  restapi:
    host: https://restapi-test-marvel2.zooxlabs.com
  notifications:
    frontend-url: https://marvel2.zooxlabs.com

logging:
  level:
    kafka: WARN
    org:
      apache:
        kafka: WARN
      springframework: WARN
    com:
      zoox: INFO

databricks:
  orchestrator:
    dryRun: false
